program GrabbugDump;

(* 1995 Quinn "The Eskimo!" *)
(* This file is distributed as Freeware. *)

(* Compiled using Metrowerks Pascal 1.1.1 (the CW 6.1 release). *)

	uses
		QuickDraw,
		TextUtils,
		Fonts,
		Windows,
		Menus,
		TextEdit,
		Dialogs,
		
		GrabbugCommon;

	const
		rErrorStrings = 128;
		rErrorAlert = 128;
		
	var
		err : OSErr;
		junk : integer;
		errmsg : Str255;
		errstr : Str255;
		errndx : integer;
begin
	(* initialise the toolbox. *)
	InitGraf(@qd.thePort);
	InitFonts;
	InitWindows;
	InitMenus;
	TEInit;
	InitDialogs(nil);
	MaxApplZone;
	(* call GrabbugCommon to dump out the PICT *)
	err := DoDump;
	(* process and display the error *)
	if err <> noErr then begin
		NumToString(err, errstr);
		case err of
			noDcmdErr :
				errndx := 2;
			screenSizeChangedErr :
				errndx := 3;
			noMainGDeviceErr :
				errndx := 4;
			memFullErr :
				errndx := 5;
			noGrabErr :
				errndx := 6;
			screenSizeChangedErr2 :
				errndx := 7;
		otherwise
			errndx := 1;
		end; (* case *)
		GetIndString(errmsg, rErrorStrings, errndx);
		ParamText(errmsg, errstr, '', '');
		junk := StopAlert(rErrorAlert, nil);
	end; (* if *)
end. (* GrabbugDump *)
